# -*- coding: utf-8 -*-
"""api project.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1QDkV9vEUJhMGSpMFMxG6vJ8d-gpDGdEV
"""

import requests
import json

def get_news(id=0):
  # This function will return the news about comic and light novel books, the cat_list_new will return a list of news by category and the "recommendation_news" will return the recommendated news about comic and light novel books. 
  recommendation_news = requests.get("https://v3api.dmzj.com/article/recommend/header.json")
  cat_list_news = requests.get("https://v3api.dmzj.com/article/category.json")
  
  return cat_list_news, recommendation_news

def get_comic_recomm(id=0): 
  # This function will return the recommendation comic book list the "cover" here is the comic book cover, 
  # "title" here is the title of the comic book, "sub_title" is the author name of this book and "type"
  # here is the type of this book, 1 means it's a comic book and 2 means it's a novel book. 
  comic_recomm = requests.get("https://v3api.dmzj.com/v3/recommend.json").json()
  recomm = []
  for i in [1,2,3,4,5,6,7,8]:
    recomm = recomm + comic_recomm[i]["data"]
  return recomm

def get_novel_recomm(id=0): 
  # This function will return the recommendation light novel book list. 
  # the reuslt returned from this function is a list, each element in this list is a book.
  # The "cover" here is the light novel book cover, "title" here is the title of the light novel book, "sub_title" is the author name of this book and "type" here is the type of this book, 1 means it's a comic book and 2 means it's a light novel book. 
  novel_recomm = requests.get("https://v3api.dmzj.com/novel/recommend.json").json()
  recomm = []
  for i in [1,2,3,4]:
    recomm = recomm + novel_recomm[i]["data"]
  return recomm

def search(big_cat_id,keywords,page):
  # This function returns the result of searching by category, keywords and pages. The return of this function include the author of this book, the chapter of this book, the type of this book.......
  search = "https://v3api.dmzj.com/search/show/{0}/{0}/{0}.json".format(big_cat_id,keywords,page)
  search = requests.get(search)
  return search

def get_description(cat_type,id):
  # This function return the result of searching by category and id. This fucntion will return the brief description of one book. 
  description = "https://v3api.dmzj.com/{0}/{id}.json".format(cat_type,id)
  description = requests.get(description)
  return description